# Uses of Class
org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory

Packages that use AnnotationItemProviderAdapterFactory
Package
Description
org.eclipse.emf.cdo.etypes.provider
The generated EMF edit support of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.provider.annotation
Provides a base class for supporting the specialization of
invalid reference

    AnnotationItemProvider

and
invalid reference

    StringToStringMapEntryItemProvider

.

## Uses of AnnotationItemProviderAdapterFactory in org.eclipse.emf.cdo.etypes.provider

Fields in org.eclipse.emf.cdo.etypes.provider with type parameters of type AnnotationItemProviderAdapterFactory
Modifier and Type
Field
Description
`protected Map<String,AnnotationItemProviderAdapterFactory>`
EtypesItemProviderAdapterFactory.`annotationItemProviderAdapterFactories`
Methods in org.eclipse.emf.cdo.etypes.provider that return AnnotationItemProviderAdapterFactory
Modifier and Type
Method
Description
`protected AnnotationItemProviderAdapterFactory`
AnnotationItemProvider.`getAnnotationItemProviderAdapterFactory()`
Returns the `EAnnotationItemProviderAdapterFactory` if the adapter factory is of that type, `null` otherwise.
`protected AnnotationItemProviderAdapterFactory`
StringToStringMapEntryItemProvider.`getAnnotationItemProviderAdapterFactory()`
Returns the `AnnotationItemProviderAdapterFactory` if the adapter factory is of that type, `null` otherwise.

## Uses of AnnotationItemProviderAdapterFactory in org.eclipse.emf.cdo.etypes.provider.annotation

Subclasses of AnnotationItemProviderAdapterFactory in org.eclipse.emf.cdo.etypes.provider.annotation
Modifier and Type
Class
Description
`static class`
`AnnotationItemProviderAdapterFactory.Reflective`
A reflective implementation of an annotation item provider adapter factory.
Methods in org.eclipse.emf.cdo.etypes.provider.annotation that return AnnotationItemProviderAdapterFactory
Modifier and Type
Method
Description
`static AnnotationItemProviderAdapterFactory`
AnnotationItemProviderAdapterFactory.`create(String annotationSoure)`
Creates an annotation item provider adapter factory for the given `annotation source`.